package com.sckw.order.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @desc: 交付类型枚举
 * @author: yzc
 * @date: 2023-09-18 15:42
 */
@Getter
@AllArgsConstructor
public enum DeliveryTypeEnum {

    ISSUE("0", "签发交付"),
    SIGN("1", "签收交付");

    private final String type;

    private final String label;

    public static String getLabel(String type) {
        for (DeliveryTypeEnum ele : DeliveryTypeEnum.values()) {
            if (ele.getType().equals(type)) {
                return ele.getLabel();
            }
        }
        return null;
    }
}
